#
# AUTOMATICALLY GENERATED FILE
#    do not edit!
#
#
CXX = c++
AR = ar
RANLIB = ranlib
PERL = /usr/pkg/bin/perl
WINDRES = 

DEFAULT_CXXFLAGS = -I/usr/include -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -Wall -Wundef \
	-I../../lib/win32 -I../../lib/common  \
	-DBOX_VERSION="\"0.11.1\""
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -rdynamic

ifdef RELEASE
CXXFLAGS = -DBOX_RELEASE_BUILD -O2 $(DEFAULT_CXXFLAGS)
OUTBASE = ../../release
OUTDIR = ../../release/lib/crypto
DEPENDMAKEFLAGS = RELEASE=1
VARIENT = RELEASE
else
CXXFLAGS = -g $(DEFAULT_CXXFLAGS)
OUTBASE = ../../debug
OUTDIR = ../../debug/lib/crypto
DEPENDMAKEFLAGS =
VARIENT = DEBUG
endif

HIDE     = $(if $(V),,@)
_CXX     = $(if $(V),$(CXX),     @ echo "  [CXX]     $<" && $(CXX))
_LINK    = $(if $(V),$(CXX),     @ echo "  [LINK]    $@" && $(CXX))
_WINDRES = $(if $(V),$(WINDRES), @ echo "  [WINDRES] $<" && $(WINDRES))
_AR      = $(if $(V),$(AR),      @ echo "  [AR]      $@" && $(AR))
_RANLIB  = $(if $(V),$(RANLIB),  @ echo "  [RANLIB]  $@" && $(RANLIB))
_PERL    = $(if $(V),$(PERL),    @ echo "  [PERL]    $@" && $(PERL) >/dev/null)

$(OUTDIR)/crypto.a: $(OUTDIR)/CipherAES.o $(OUTDIR)/CipherBlowfish.o $(OUTDIR)/CipherContext.o $(OUTDIR)/CipherDescription.o $(OUTDIR)/MD5Digest.o $(OUTDIR)/Random.o $(OUTDIR)/RollingChecksum.o $(OUTDIR)/autogen_CipherException.o
	$(HIDE) (echo -n > $(OUTDIR)/crypto.a; rm $(OUTDIR)/crypto.a)
	$(_AR) cq $(OUTDIR)/crypto.a $(OUTDIR)/CipherAES.o $(OUTDIR)/CipherBlowfish.o $(OUTDIR)/CipherContext.o $(OUTDIR)/CipherDescription.o $(OUTDIR)/MD5Digest.o $(OUTDIR)/Random.o $(OUTDIR)/RollingChecksum.o $(OUTDIR)/autogen_CipherException.o
	$(_RANLIB) $(OUTDIR)/crypto.a

$(OUTDIR)/RollingChecksum.o: RollingChecksum.cpp ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h ../../lib/common/IOStream.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/FileStream.h ../../lib/common/CommonException.h RollingChecksum.h ../../lib/win32/getopt.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/crypto\"" -c RollingChecksum.cpp -o $(OUTDIR)/RollingChecksum.o

$(OUTDIR)/MD5Digest.o: MD5Digest.cpp ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxPlatform.h ../../lib/common/FileStream.h ../../lib/win32/getopt.h ../../lib/common/CommonException.h MD5Digest.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/crypto\"" -c MD5Digest.cpp -o $(OUTDIR)/MD5Digest.o

$(OUTDIR)/CipherBlowfish.o: CipherBlowfish.cpp ../../lib/common/BoxPlatform.h CipherDescription.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/Box.h CipherBlowfish.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h CipherException.h ../../lib/win32/emu.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/crypto\"" -c CipherBlowfish.cpp -o $(OUTDIR)/CipherBlowfish.o

$(OUTDIR)/Random.o: Random.cpp ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFinder.h ../../lib/common/IOStream.h ../../lib/common/Box.h Random.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/win32/emu.h CipherException.h ../../lib/win32/getopt.h ../../lib/common/CommonException.h ../../lib/common/FileStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/crypto\"" -c Random.cpp -o $(OUTDIR)/Random.o

$(OUTDIR)/CipherAES.o: CipherAES.cpp ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxPlatform.h CipherDescription.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h CipherAES.h ../../lib/common/Box.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h ../../lib/common/FileStream.h CipherException.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/crypto\"" -c CipherAES.cpp -o $(OUTDIR)/CipherAES.o

$(OUTDIR)/CipherContext.o: CipherContext.cpp ../../lib/win32/emu.h CipherException.h ../../lib/common/FileStream.h ../../lib/win32/getopt.h CipherContext.h ../../lib/common/CommonException.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h Random.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/BoxPlatform.h CipherDescription.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/crypto\"" -c CipherContext.cpp -o $(OUTDIR)/CipherContext.o

$(OUTDIR)/CipherDescription.o: CipherDescription.cpp ../../lib/common/FileStream.h ../../lib/win32/getopt.h ../../lib/common/CommonException.h ../../lib/win32/emu.h ../../lib/common/BoxConfig.h ../../lib/common/MemLeakFindOn.h ../../lib/common/Utils.h ../../lib/common/Logging.h ../../lib/common/IOStream.h ../../lib/common/MemLeakFinder.h ../../lib/common/Box.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxPlatform.h CipherDescription.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/crypto\"" -c CipherDescription.cpp -o $(OUTDIR)/CipherDescription.o

$(OUTDIR)/autogen_CipherException.o: autogen_CipherException.cpp ../../lib/win32/emu.h ../../lib/common/CommonException.h ../../lib/win32/getopt.h ../../lib/common/BoxException.h ../../lib/common/FileStream.h ../../lib/common/BoxPlatform.h ../../lib/common/MemLeakFindOff.h ../../lib/common/BoxConfig-MSVC.h ../../lib/common/Box.h ../../lib/common/MemLeakFinder.h autogen_CipherException.h ../../lib/common/IOStream.h ../../lib/common/Logging.h ../../lib/common/Utils.h ../../lib/common/MemLeakFindOn.h ../../lib/common/BoxConfig.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/crypto\"" -c autogen_CipherException.cpp -o $(OUTDIR)/autogen_CipherException.o


clean:
	-rm -rf $(OUTDIR)/*
ifndef SUBCLEAN
	$(HIDE) (cd ../../lib/win32; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
	$(HIDE) (cd ../../lib/common; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
endif


include Makefile.extra


buildsystem:
	(cd ../..; perl ./infrastructure/makebuildenv.pl )

